Request a return / 14-day withdrawal on MY order (no IDOR)
POST
/store/v1/customers/me/orders/{orderId}/returns
const url = 'https://your-store.example.com/store/v1/customers/me/orders/example/returns';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"type":"return","items":[{"orderItemId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","quantity":1}],"reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-store.example.com/store/v1/customers/me/orders/example/returns \ --header 'Content-Type: application/json' \ --data '{ "type": "return", "items": [ { "orderItemId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "quantity": 1 } ], "reason": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” orderId
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
type
required
string
items
required
Array<object>
object
orderItemId
required
string format: uuid
quantity
required
integer
reason
string